//[passport-contacts-core](../../../../index.md)/[com.yandex.passport.contacts.core](../../index.md)/[ContactPermissionRationale](../index.md)/[Alert](index.md)

# Alert

[passport-contacts-core]\
data class [Alert](index.md)(val alertInit: AlertBuilder.((Boolean) -&gt; Unit) -&gt; Unit) : [ContactPermissionRationale](../index.md)

Provide custom rationale as android.app.AlertDialog.

## See also

passport-contacts-core

| | |
|---|---|
| com.avstaim.darkside.dsl.alert.AlertBuilder |  |

## Parameters

passport-contacts-core

| | |
|---|---|
| alertInit | DSL builder for alatrt dialog. |

## Constructors

| | |
|---|---|
| [Alert](-alert.md) | [passport-contacts-core]<br>fun [Alert](-alert.md)(alertInit: AlertBuilder.((Boolean) -&gt; Unit) -&gt; Unit) |

## Properties

| Name | Summary |
|---|---|
| [alertInit](alert-init.md) | [passport-contacts-core]<br>val [alertInit](alert-init.md): AlertBuilder.((Boolean) -&gt; Unit) -&gt; Unit |
